Subject: bug#49637: abbrev-suggest does not hint in echo area

From: Charles Millar <[email-masked]>
Date: Sun, 18 Jul 2021 21:05:57 -0400

I posted the following message to help-gnu-emacs and should demonstrate 
the possible bug. (Please note that I made one minor correction, i.e.- 
"buffer" instead of "butter."

 > emacs version GNU Emacs 28.0.50 (build 344, x86_64-pc-linux-gnu, GTK+
 > Version 3.24.23, cairo version 1.16.0) of 2020-12-31
 >
 > I have a buffer "learnabbrev.txt" open with abbrev-mode enabled,
 >
 > and in my init file,
 >
 > (setq abbrev-suggest t)
 > (setq abbrev-suggest-hint-threshold 0).
 >
 > My (global-abbrev-table) includes:
 >
 > "foo"           1    "find outer otter"
 >
 > (I checked to make sure that foo expanded to "find outer otter.")
 >
 > When I start to enter "find outer otter," and no matter how many
 > letters I enter, including the entire phrase, there are no suggestions
 > in the echo area.
 >
 > If I understand the info entries for abbrev-suggest and
 > abbrev-suugest-hint-threshold, should not a hint show in the echo
 > area, even after I type the first "f?"

Best,

Charlie Millar